﻿@page
@model ShowRecoveryCodesModel
@{
    ViewData["Title"] = "Recovery codes";
    ViewData["ActivePage"] = "TwoFactorAuthentication";
}


    <h4>Recovery codes</h4>
<div class="row">
    <div class="col-md-3">
        <partial name="_ManageNav" />
    </div>
    <div class="col-md-6">
        <partial name="_StatusMessage" for="StatusMessage" />
        <h4>@ViewData["Title"]</h4>
        <div class="alert alert-warning" role="alert">
            <p>
                <strong>Put these codes in a safe place.</strong>
            </p>
            <p>
                If you lose your device and don't have the recovery codes you will lose access to your account.
            </p>
        </div>
        <div class="row">
            <div class="col-md-12">
                @for (var row = 0; row < Model.RecoveryCodes.Length; row += 2)
                {
                    <code class="recovery-code">@Model.RecoveryCodes[row]</code><text>&nbsp;</text><code class="recovery-code">@Model.RecoveryCodes[row + 1]</code><br />
                }
            </div>
        </div>
        </div>
</div>